<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="admin-add-admin.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

  <header>
    <nav>
      <div class="container">
        <div class="nav-grid">
        <div class="logo">
          <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
        </div>
        <div class="fr">
          <ul class="menu">
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Q&A Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/webboard']">Webboard</a></li>
            <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
            <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
          </ul>
        </div>
        </div>
      </div>
    </nav>
  </header>

  <section class="content" >
    <form [formGroup]="adminForm" (ngSubmit)="submitForm()" novalidate>
    <div class="container">
      <div class="content-heading">
        <h1>Add Admin</h1>
      </div>

      <div class="content-services">
        <div class="content-services-item">

            <div class="content-services-grid">
              <div class="content-services-username">
                <label>Username : </label>
                <input formControlName="username" placeholder="Username">
              </div>
  
              <div class="content-services-fullname">
                <label>Fullname : </label>
                <input formControlName="fullname" placeholder="Fullname">
              </div>
  
              <div class="content-services-password">
                <label>Password : </label>
                <input type= "password" formControlName="password" placeholder="Password">
              </div>
  
              <div class="content-services-emailAddress">
                <label>Email Address : </label>
                <input type="email" formControlName="email" placeholder="Email Address">
              </div>
  
              <div class="content-services-googleId">
                <label>Google ID : </label>
                <input formControlName="google_id" placeholder="Google ID">
              </div>
  
              <div class="content-services-thumbnail">
                <label>Thumbnail : </label>
                <input formControlName="thumbnail" placeholder="thumbnail">
              </div>
            </div>
         
          <div class="content-services-button">
            <button type="submit" class="submitButton">Submit</button>
            <button type="button" class="cancelButton" [routerLink]="['/admin/user']">Cancel</button>
          </div>

        </div>
      </div>
    </div>
  </form>
  </section>

</body>  
</html>
<!-- <!DOCTYPE html>
<html>
  <header>
    <div class="row">
    <div class="toolbar" role="banner">
      <img width="auto" alt="MFU Logo" src="/assets/picproject/Logo.png"/>
      <nav>
      <ul>
        <li><a [routerLink]="['/user']">Q&A</a></li>
        <li><a [routerLink]="['/admin/home']">Question</a></li>
        <li><a [routerLink]="['/admin/user']">User</a></li>
        <li><a (click)="logout()">Logout</a></li>
      </ul> 
    </nav>
    </div>
  </div>
    </header>
  <body>
  <form [formGroup]="adminForm" (ngSubmit)="submitForm()" novalidate>
    <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="jumbotron jumbotron-fluid"  id="Header-Box">
          <div class="container">
            <h1 class="display-4" id="Header-Text">Add User</h1>
        </div>
        </div>  
          </div>
          <div class="form-group">
            <label for="exampleInputUsername1">Username</label>
            <input class="form-control" formControlName="username" id="exampleInputUsername1" placeholder="Username" [ngClass]="{ 'is-invalid':f.username.errors }">
            <div *ngIf="f.username.errors" class="invalid-feedback">
              <div *ngIf="f.username.errors.required">username is required</div>
          </div>
          </div>
          <div class="form-group">
            <label for="exampleInputFullname1">Fullname</label>
            <input class="form-control" formControlName="fullname" id="exampleInputFullname1" placeholder="Fullname"[ngClass]="{ 'is-invalid':f.fullname.errors }">
            <div *ngIf="f.fullname.errors" class="invalid-feedback">
              <div *ngIf="f.fullname.errors.required">Fullname is required</div>
          </div>
          </div>
          <div class="form-group">
            <label for="exampleInputPassword1">Password</label>
            <input type= "password" class="form-control" formControlName="password" id="exampleInputPassword1" placeholder="Password" [ngClass]="{ 'is-invalid':f.password.errors }" >
            <div *ngIf="f.password.errors" class="invalid-feedback">
              <div *ngIf="f.password.errors.required">Password is required</div>
          </div>
          </div>
          <div class="form-group">
            <label for="email">Email Address</label>
            <input class="form-control" formControlName="email" id="email" placeholder="Email" [ngClass]="{ 'is-invalid':f.email.errors }">
            <div *ngIf="f.email.errors" class="invalid-feedback">
              <div *ngIf="f.email.errors.required">Email is required</div>
              <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
          </div>
          </div>
          <div class="form-group">
            <label for="Google">Google Id</label>
            <input class="form-control" formControlName="google_id" id="Google" placeholder="Google Id" [ngClass]="{ 'is-invalid':f.google_id.errors }">
            <div *ngIf="f.google_id.errors" class="invalid-feedback">
              <div *ngIf="f.google_id.errors.required">Email is required</div>
              <div *ngIf="f.google_id.errors.email">Email must be a valid email address</div>
          </div>
          </div>
          <div class="form-group">
            <label for="Thumbnail">Thumbnail</label>
            <input class="form-control" formControlName="thumbnail" id="Thumbnail" placeholder="Thumbnail"  [ngClass]="{ 'is-invalid':f.thumbnail.errors }">
            <div *ngIf="f.thumbnail.errors" class="invalid-feedback">
              <div *ngIf="f.thumbnail.errors.required">Thumbnail is required</div>
          </div>
          </div>

        <div class="row">
          <div class="col-sm-2">
          <button type="submit" class="btn btn-primary">Submit</button>
        </div>
        <div class="col-sm-1">
          <button type="button" class="btn btn-secondary" [routerLink]="['/admin/user']">Cancel</button>
        </div>
        </div>
        </div>
      </div>
  
</form>
</body>
</html> -->

  
  
  
  
  
  
  
  
  
  
  
  
  
       
  
  
  